const express = require("express");
const router = express.Router();
const Patient = require("./../../model/patient/patient");
const NFTRequest = require("./../../model/stellar/nftRequests");

router.get("/:patientKey", async (req, res) => {
  const patientKey = req.params.patientKey;
  try {
    const issuerData = await Patient.findOne({
      publickey: patientKey,
    });

    //get the NFT requests
    try {
      const NFTrequests = await NFTRequest.find({
        issuerpk: issuerData.issuerpk,
      });

      res.status(200).json({
        data: NFTrequests,
      });
      console.log("Data taken successfully");
    } catch (errorWhenGettingTheNftRrquests) {
      console.log(
        "Error when getting the NFT requests : ",
        errorWhenGettingTheNftRrquests
      );
      res.status(500).json({
        error: "Error when getting the NFT requests : ",
        errorWhenGettingTheNftRrquests,
      });
    }
  } catch (errorWhenGettingTheIssuerKey) {
    console.log(
      "Error when getting the issuer key : ",
      errorWhenGettingTheIssuerKey
    );
    res.status(500).json({
      error: "Error when getting the issuer key : ",
      errorWhenGettingTheIssuerKey,
    });
  }
});

module.exports = router;
