import React from "react";
import { StyleSheet, View, Text, Button,TouchableHighlight } from "react-native";

export default function MainScreen({ navigation }) {
  return (
    <View style={styles.container}>
      <View style={styles.buttonContainer}>
      <TouchableHighlight
          style={[styles.button, { backgroundColor: "#703BE7" }]}
          underlayColor="#5E29B7"
          onPress={() => {
            console.log("Login");
            navigation.navigate("SharedLogin");
          }}
        >
          <Text style={styles.buttonText}>Login</Text>
        </TouchableHighlight>

        <View style={styles.separator} />

        <TouchableHighlight
          style={[styles.button, { backgroundColor: "#703BE7" }]}
          underlayColor="#5E29B7"
          onPress={() => {
            console.log("Register");
            navigation.navigate("SharedRegisterScreen");
          }}
        >
          <Text style={styles.buttonText}>Register</Text>
        </TouchableHighlight>

      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    //alignItems: "center",
    justifyContent: "center",
    paddingLeft:75
  },
  // buttonContainer: {
  //   flexDirection: "row",
  //   marginVertical: 20,
  // },
  separator: {
    width: 10,
    height:20
  },
  button: {
    height: 60, // Adjust the height value to make the button taller
    width: "80%", // Adjust the width value to change the button's width
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: "#703BE7",
    borderRadius: 30, // Adjust the border radius value to make the edges rounder
    
  },
  buttonText: {
    color: "white",
    fontSize: 16,
    fontWeight: "bold",
  },
});
